AudioPermission (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.sound.sampled, class: AudioPermission
Keywords: javax.sound.sampled.AudioPermission class

# Class AudioPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
javax.sound.sampled.AudioPermission

All Implemented Interfaces:
  `Serializable, Guard`

@Deprecated(since="24", forRemoval=true) public class AudioPermission extends BasicPermission
Deprecated, for removal: This API element is subject to removal in a future version.
There is no replacement for this class.
The `AudioPermission` class represents access rights to the audio system resources. An `AudioPermission` contains a target name but no actions list; you either have the named permission or you don't.

The target name is the name of the audio permission. The names follow the hierarchical property-naming convention. Also, an asterisk can be used to represent all the audio permissions.

API Note:
  This permission cannot be used for controlling access to resources as the Security Manager is no longer supported. Consequently this class is deprecated and may be removed in a future release.
Since:
  1.3
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AudioPermission(String name)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Creates a new `AudioPermission` object that has the specified symbolic name, such as "play" or "record".
  `AudioPermission(String name, String actions)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Creates a new `AudioPermission` object that has the specified symbolic name, such as "play" or "record".

- ## Method Summary

  ### Methods declared in class BasicPermission

  `equals, getActions, hashCode, implies, newPermissionCollection`
  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  Checks two `BasicPermission` objects for equality.
  `String`
  `getActions()`
  Returns the canonical string representation of the actions, which currently is the empty string "", since there are no actions for a `BasicPermission`.
  `int`
  `hashCode()`
  Returns the hash code value for this object.
  `boolean`
  `implies(Permission p)`
  Checks if the specified permission is "implied" by this object.
  `PermissionCollection`
  `newPermissionCollection()`
  Returns a new `PermissionCollection` object for storing `BasicPermission` objects.

  ### Methods declared in class Permission

  `checkGuard, getName, toString`
  Modifier and Type
  Method
  Description
  `void`
  `checkGuard(Object object)`
  Implements the guard interface for a permission.
  `final String`
  `getName()`
  Returns the name of this `Permission`.
  `String`
  `toString()`
  Returns a string describing this `Permission`.

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### AudioPermission

    public AudioPermission(String name)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Creates a new `AudioPermission` object that has the specified symbolic name, such as "play" or "record". An asterisk can be used to indicate all audio permissions.
    Parameters:
      `name` - the name of the new `AudioPermission`
    Throws:
      `NullPointerException` - if `name` is `null`
      `IllegalArgumentException` - if `name` is empty

  - ### AudioPermission

    public AudioPermission(String name, String actions)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Creates a new `AudioPermission` object that has the specified symbolic name, such as "play" or "record". The `actions` parameter is currently unused and should be `null`.
    Parameters:
      `name` - the name of the new `AudioPermission`
      `actions` - (unused; should be `null`)
    Throws:
      `NullPointerException` - if `name` is `null`
      `IllegalArgumentException` - if `name` is empty